Reschedule a post
PATCH
/public/v1/posts/{id}/schedule
const url = 'https://api.loomta.com/public/v1/posts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schedule';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"scheduledFor":"2026-07-01T16:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.loomta.com/public/v1/posts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schedule \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "scheduledFor": "2026-07-01T16:00:00Z" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
The post UUID.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
scheduledFor
required
string format: date-time
Example
{ "scheduledFor": "2026-07-01T16:00:00Z"}Responses
Section titled “Responses”The updated post group.
Media typeapplication/json
object
root
required
object
id
string format: uuid
groupId
string format: uuid
parentPostId
string | null format: uuid
integrationId
string format: uuid
content
string
state
string
scheduledFor
string | null format: date-time
delayInMinutes
integer | null
releaseId
string | null
releaseUrl
string | null
settings
object
key
additional properties
any
mediaIds
Array<string>
errorText
string | null
createdAt
string format: date-time
updatedAt
string format: date-time
children
required
Array<object>
object
id
string format: uuid
groupId
string format: uuid
parentPostId
string | null format: uuid
integrationId
string format: uuid
content
string
state
string
scheduledFor
string | null format: date-time
delayInMinutes
integer | null
releaseId
string | null
releaseUrl
string | null
settings
object
key
additional properties
any
mediaIds
Array<string>
errorText
string | null
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{ "root": { "state": "DRAFT" }, "children": [ { "state": "DRAFT" } ]}The request body failed validation.
Media typeapplication/json
object
code
required
A stable, machine-readable error code to branch on.
string
message
required
A human-readable description.
string
details
Optional structured detail (for example Zod validation issues).
Example
{ "code": "invalid_request", "message": "The request payload is invalid.", "details": [ { "path": [ "slideCount" ], "message": "Number must be greater than or equal to 3" } ]}The API key is missing or invalid.
Media typeapplication/json
object
code
required
A stable, machine-readable error code to branch on.
string
message
required
A human-readable description.
string
details
Optional structured detail (for example Zod validation issues).
Examples
{ "code": "missing_api_key", "message": "A Bearer API key is required."}{ "code": "invalid_api_key", "message": "The API key is invalid."}The resource was not found in this workspace.
Media typeapplication/json
object
code
required
A stable, machine-readable error code to branch on.
string
message
required
A human-readable description.
string
details
Optional structured detail (for example Zod validation issues).
Example
{ "code": "invalid_api_key", "message": "The API key is invalid."}